{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.silverlabs_nat.hedgehog.hit": {
      "initial_state": "default",
      "states": {
        "default": {
          "transitions": [
            {
              "hit": "query.property('silverlabs_nat:hit')"
            }
          ]
        },
        "hit": {
          "on_entry": [
            "/scriptevent silverlabs_nat:hedgehog_hit",
            "@s silverlabs_nat:remove_projectile"
          ],
          "transitions": [
            {
              "fallback": "q.state_time > 3"
            }
          ]
        },
        "fallback": {
          "on_entry": [
            "/scriptevent silverlabs_nat:hedgehog_hit",
            "@s silverlabs_nat:remove_projectile"
          ]
        }
      }
    }
  }
}
